<?xml version="1.0"?>
<!DOCTYPE package-info SYSTEM "http://www.simplemachines.org/xml/package-info">
<package-info xmlns="http://www.simplemachines.org/xml/package-info" xmlns:smf="http://www.simplemachines.org/">
    <id>@flurry:media_bbc</id>
    <name>Media BBCode Tags</name>
    <version>1.0</version>
    <type>modification</type>

    <install for="2.1.* - 2.1.99">
        <readme parsebbc="true">readme.txt</readme>
        <require-file name="Subs-MediaCode.php" destination="$sourcedir" />
        <require-file name="sceditor.mediabbc.css" destination="Themes/default/css" />
        <require-file name="sceditor.mediabbc.js" destination="Themes/default/scripts" />
        <require-file name="asset/icon_audio.svg" destination="Themes/default/images" />
        <require-file name="asset/icon_video.svg" destination="Themes/default/images" />
        <hook hook="integrate_bbc_codes" function="hook_media_bbcode" file="$sourcedir/Subs-MediaCode.php" />
        <hook hook="integrate_bbc_buttons" function="hook_media_bbcode_buttons" file="$sourcedir/Subs-MediaCode.php" />
        <hook hook="integrate_sceditor_options" function="media_sce_options" file="$sourcedir/Subs-MediaCode.php" />
        <hook hook="integrate_credits" function="media_bbc_credits" file="$sourcedir/Subs-MediaCode.php" />
    </install>

    <uninstall for="2.1.* - 2.1.99">
        <remove-file name="$sourcedir/Subs-MediaCode.php" />
        <remove-file name="Themes/default/scripts/sceditor.mediabbc.js" />
        <remove-file name="Themes/default/css/sceditor.mediabbc.css" />
        <remove-file name="Themes/default/images/icon_audio.svg" />
        <remove-file name="Themes/default/images/icon_video.svg" />
        <hook hook="integrate_bbc_codes" function="hook_media_bbcode" file="$sourcedir/Subs-MediaCode.php" reverse="true" />
        <hook hook="integrate_bbc_buttons" function="hook_media_bbcode_buttons" file="$sourcedir/Subs-MediaCode.php" reverse="true" />
        <hook hook="integrate_sceditor_options" function="media_sce_options" file="$sourcedir/Subs-MediaCode.php" reverse="true" />
        <hook hook="integrate_credits" function="media_bbc_credits" file="$sourcedir/Subs-MediaCode.php" reverse="true" />
    </uninstall>
</package-info>
